// Fig. 16.7: ShowColorsComplex.cs
// ColorDialog used to change background and text color.
using System;
using System.Drawing;
using System.Windows.Forms;

// allows users to change colors using a ColorDialog
public partial class ShowColorsComplex : Form
{
   // create ColorDialog object
   private static ColorDialog colorChooser = new ColorDialog();

   // default constructor
   public ShowColorsComplex()
   {
      InitializeComponent();
   } // end constructor

   // change text color
   private void textColorButton_Click( object sender, EventArgs e )
   {
      // get chosen color
      DialogResult result = colorChooser.ShowDialog();

      if ( result == DialogResult.Cancel )
         return;

      // assign forecolor to result of dialog
      backgroundColorButton.ForeColor = colorChooser.Color;
      textColorButton.ForeColor = colorChooser.Color;
   } // end method textColorButton_Click

   // change background color
   private void backgroundColorButton_Click(
      object sender, EventArgs e )
   {
      // show ColorDialog and get result
      colorChooser.FullOpen = true;
      DialogResult result = colorChooser.ShowDialog();

      if ( result == DialogResult.Cancel )
         return;

      // set background color
      this.BackColor = colorChooser.Color;
   } // end method backgroundColorButton_Click
} // end class ShowColorsComplex


/**************************************************************************
 * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/