// Fig. 17.18: DrawingArcs.cs
// Drawing various arcs on a Form.
using System;
using System.Drawing;
using System.Windows.Forms;

// draws various arcs
public partial class DrawArcs : Form
{
   // default constructor
   public DrawArcs()
   {
      InitializeComponent();
   } // end constructor

   // draw arcs
   private void DrawArcs_Paint( object sender, PaintEventArgs e )
   {
      // get graphics object
      Graphics graphicsObject = e.Graphics;
      Rectangle rectangle1 = new Rectangle( 15, 35, 80, 80 );
      SolidBrush brush1 = new SolidBrush( Color.Firebrick );
      Pen pen1 = new Pen( brush1, 1 );
      SolidBrush brush2 = new SolidBrush( Color.DarkBlue );
      Pen pen2 = new Pen( brush2, 1 );

      // start at 0 and sweep 360 degrees
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.DrawArc( pen2, rectangle1, 0, 360 );

      // start at 0 and sweep 110 degrees
      rectangle1.Location = new Point( 100, 35 );
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.DrawArc( pen2, rectangle1, 0, 110 );

      // start at 0 and sweep -270 degrees
      rectangle1.Location = new Point( 185, 35 );
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.DrawArc( pen2, rectangle1, 0, -270 );

      // start at 0 and sweep 360 degrees
      rectangle1.Location = new Point( 15, 120 );
      rectangle1.Size = new Size( 80, 40 );
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.FillPie( brush2, rectangle1, 0, 360 );

      // start at 270 and sweep -90 degrees
      rectangle1.Location = new Point( 100, 120 );
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.FillPie( brush2, rectangle1, 270, -90 );

      // start at 0 and sweep -270 degrees
      rectangle1.Location = new Point( 185, 120 );
      graphicsObject.DrawRectangle( pen1, rectangle1 );
      graphicsObject.FillPie( brush2, rectangle1, 0, -270 );
   } // end method DrawArcs_Paint
} // end class DrawArcs


/**************************************************************************
 * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/