// Fig. 17.23: DisplayLogoForm.cs
// Displaying and resizing an image
using System;
using System.Drawing;
using System.Windows.Forms;

// displays an image and allows the user to resize it
public partial class DisplayLogoForm : Form
{
   private Image image = Image.FromFile( @"images\Logo.gif" );
   private Graphics graphicsObject;

   public DisplayLogoForm()
   {
      InitializeComponent();
      graphicsObject = this.CreateGraphics();
   }

   // handle setButton Click event
   private void setButton_Click( object sender, EventArgs e )
   {
      // get user input
      int width = Convert.ToInt32( widthTextBox.Text );
      int height = Convert.ToInt32( heightTextBox.Text );

      // if dimensions specified are too large 
      // display problem
      if ( width > 375 || height > 225 )
      {
         MessageBox.Show( " Height or Width too large" );
         return;
      } // end if

      // clear the Form then draw the image
      graphicsObject.Clear( this.BackColor );
      graphicsObject.DrawImage( image, 5, 5, width, height );
   } // end method setButton_Click
} // end class DisplayLogoForm


/**************************************************************************
 * (C) Copyright 1992-2006 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/